/*
 * CKEditor - The text editor for Internet - http://ckeditor.com
 * Copyright (C) 2003-2008 Frederico Caldeira Knabben
 *
 * == BEGIN LICENSE ==
 *
 * Licensed under the terms of any of the following licenses at your
 * choice:
 *
 *  - GNU General Public License Version 2 or later (the "GPL")
 *    http://www.gnu.org/licenses/gpl.html
 *
 *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
 *    http://www.gnu.org/licenses/lgpl.html
 *
 *  - Mozilla Public License Version 1.1 or later (the "MPL")
 *    http://www.mozilla.org/MPL/MPL-1.1.html
 *
 * == END LICENSE ==
 */

CKEDITOR.dialog.add( 'table', function( editor )
{
	return {
		title : editor.lang.dlgTableTitle,
		minWidth : 480,
		minHeight : 290,
		onShow : function( )
		{
		},
		onOk : function( )
		{
			return true;
		},
		contents : [
			{
				id : 'info',
				label : editor.lang.dlgTableTitle,
				accessKey : 'I',
				elements :
				[
					{
						type : 'hbox',
						widths : [ '40%', '10%', '60%' ],
						children : 
						[
							{
								type : 'vbox',
								children : 
								[
									{
										type : 'text',
										id : 'txtRows',
										labelLayout : 'horizontal',	
										widths : [ '60%','40%' ],
										style : 'width:105px',
										'default' : 3,
										label : editor.lang.dlgTableRows,
										validate: function( ) {
											if ( this.getValue() != '' )
											{
												if ( isNaN( parseInt( this.getValue(), 10 ) ) )
												{
													this.select();
													return false;
												}
											}
											return true;
										}
									},
									{
										type : 'text',
										id : 'txtCols',
										labelLayout : 'horizontal',	
										widths : [ '60%','40%' ],
										style : 'width:105px',
										'default' : '2',
										label : editor.lang.dlgTableColumns,
										validate: function( ) {
											if ( this.getValue() != '' )
											{
												if ( isNaN( parseInt( this.getValue(), 10 ) ) )
												{
													this.select();
													return false;
												}
											}
											return true;
										}
									},
									{
										type : 'text',
										id : 'txtBorder',
										labelLayout : 'horizontal',	
										widths : [ '60%','40%' ],
										style : 'width:105px',
										'default' : '1',
										label : editor.lang.dlgTableBorder,
										validate: function( ) {
											if ( this.getValue() != '' )
											{
												if ( isNaN( parseInt( this.getValue(), 10 ) ) )
												{
													this.select();
													return false;
												}
											}
											return true;
										}
									},
									{
										id : 'cmbAlign',
										type : 'select',
										labelLayout : 'horizontal',	
										widths : [ '40%','60%' ],
										label : editor.lang.dlgTableAlign,
										items :
										[
											[ editor.lang.dlgTableAlignNotSet , ''],
											[ editor.lang.dlgTableAlignLeft , 'left'],
											[ editor.lang.dlgTableAlignCenter , 'center'],
											[ editor.lang.dlgTableAlignRight , 'right']
										]
									}
								]
							},
							{
								type : 'html',
								align : 'right',
								html : ''
							},						
							{
								type : 'vbox',
								align : 'right',
								children : 
								[			
									{
										type : 'hbox',
										align : 'center',
										widths : [ '70%', '30%' ],
										children : 
										[
											{
												type : 'text',
												id : 'txtWidth',
												labelLayout : 'horizontal',	
												widths : [ '50%','50%' ],
												label : editor.lang.dlgTableWidth,
												validate: function( ) {
													if ( this.getValue() != '' )
													{
														if ( isNaN( parseInt( this.getValue(), 10 ) ) )
														{
															this.select();
															return false;
														}
													}
													return true;
												}
											},
											{
												id : 'cmbWidthType',
												type : 'select',
												labelLayout : 'horizontal',	
												widths : [ '0%','100%' ],
												label : '',
												items :
												[
													[ editor.lang.dlgTableWidthPx , 'pixels'],
													[ editor.lang.dlgTableWidthPc , 'procents']
												]
											}
										]
									},
									{
										type : 'hbox',
										widths : [ '70%', '30%' ],
										children : 
										[
											{
												type : 'text',
												id : 'txtHeight',
												labelLayout : 'horizontal',
												widths : [ '50%','50%' ],
												label : editor.lang.dlgTableHeight,
												validate: function( ) {
													if ( this.getValue() != '' )
													{
														if ( isNaN( parseInt( this.getValue(), 10 ) ) )
														{
															this.select();
															return false;
														}
													}
													return true;
												}
											},
											{
												type : 'html',
												html : editor.lang.dlgTableWidthPx
											}	
										]
									},
									{
										type : 'text',
										id : 'txtCellSpace',
										labelLayout : 'horizontal',	
										widths : [ '50%','50%' ],
										style : 'width:140px',
										label : editor.lang.dlgTableCellSpace,
										validate: function( ) {
											if ( this.getValue() != '' )
											{
												if ( isNaN( parseInt( this.getValue(), 10 ) ) )
												{
													this.select();
													return false;
												}
											}
											return true;
										}
									},
									{
										type : 'text',
										id : 'txtCellPad',
										labelLayout : 'horizontal',	
										widths : [ '50%','50%' ],
										style : 'width:140px',
										label : editor.lang.dlgTableCellPad,
										validate: function( ) {
											if ( this.getValue() != '' )
											{
												if ( isNaN( parseInt( this.getValue(), 10 ) ) )
												{
													this.select();
													return false;
												}
											}
											return true;
										}
									}
								]
							}
						]
					},
					{
						type : 'html',
						align : 'right',
						html : ''
					},	
					{
						id : 'txtCaption',
						type : 'text',
						label : editor.lang.dlgTableCaption,
						widths : [ '30%','70%' ],
						labelLayout : 'horizontal',	
						style : 'width:400px'
					},
					{
						id : 'txtSummary',
						type : 'text',
						labelLayout : 'horizontal',	
						label : editor.lang.dlgTableSummary,
						widths : [ '30%','70%' ],
						accessKey : 'A',
						style : 'width:400px'
					}
				]
			}
		]
	};
} );
